Skip to content
Start here

Preview Result

GET/accounts/{account_id}/load_balancers/preview/{preview_id}

Get the result of a previous preview operation using the provided preview_id.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
preview_id: string
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: map[object { healthy, origins } ]

Resulting health data from a preview operation.

healthy: optional boolean
origins: optional array of map[object { failure_reason, healthy, response_code, rtt } ]
failure_reason: optional string
healthy: optional boolean
response_code: optional number
rtt: optional string
success: true

Whether the API call was successful.

Preview Result

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/load_balancers/preview/$PREVIEW_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}